---

# ---
# vars used by roles/network_interfaces
# ---


# If true, all additional files in /etc/network/interfaces/interfaces.d/ are deleted
network_manage_devices: True

# Should the interfaces be reloaded after config change?
network_interface_reload: False

network_interface_path: /etc/network/interfaces.d
network_interface_required_packages:
  - vlan
  - bridge-utils
  - ifmetric
  - ifupdown
  - ifenslave


network_interfaces:

  - device: eno1
    # use only once per device (for the first device entry)
    headline: eno1 - The primary network interface

    # auto & allow are only used for the first device entry
    allow: [] # array of allow-[stanzas] eg. allow-hotplug
    auto: true

    family: inet
    method: static
    description:
    address: 192.168.0.110
    netmask: 24
    gateway: 192.168.0.254


# ---
# vars used by roles/ansible_dependencies
# ---


# ---
# vars used by roles/ansible_user
# ---


# ---
# vars used by roles/common/tasks/basic.yml
# ---


# ---
# vars used by roles/common/tasks/sshd.yml
# ---


# ---
# vars used by roles/common/tasks/apt.yml
# ---


# ---
# vars used by roles/common/tasks/systemd-resolved.yml
# ---

systemd_resolved: true

# CyberGhost - Schnelle Verbindung mit Keine-Logs-Datenschutzrichtlinie
#   Primäre DNS-Adresse: 38.132.106.139
#   Sekundäre DNS-Adresse: 194.187.251.67
#
# Cloudflare (USA) Bester kostenloser DNS-Server für Gaming mit zuverlässigen Verbindungen
#   primäre DNS-Adresse
#      IPv4: 1.1.1.1
#      IPv6: 2606:4700:4700::1111
#   sekundäre DNS-Adresse
#      IPv4: 1.0.0.1
#      IPv6: 2606:4700:4700::1001
#
# Google (USA) Public DNS - Großartige Kombination aus Geschwindigkeit und Sicherheit
#   primäre DNS-Adresse
#      IPv4: 8.8.8.8
#      IPv6: 2001:4860:4860::8888
#   sekundäre DNS-Adresse
#      IPv4: 8.8.4.4
#      IPv6: 2001:4860:4860::8844
#
# Quad9 (CH) - Blockiert mühelos schädliche Seiten und verhindert Phishing-Betrug
#   primäre DNS-Adresse
#      IPv4: 9.9.9.9
#      IPv6: 2620:fe::fe
#   sekundäre DNS-Adresse
#      IPv4: 149.112.112.112
#      IPv6: 2620:fe::9
#
# OpenNIC - https://www.opennic.org/
#      IPv4: 195.10.195.195 - ns31.de
#      IPv4: 94.16.114.254  - ns28.de
#      IPv4: 51.254.162.59  - ns9.de
#      IPv4: 194.36.144.87  - ns29.de
#      IPv6: 2a00:f826:8:2::195 - ns31.de
#
# Freifunk München (normales DNS, DNS-over-TLS und DNS-over-HTTPS)
#    IPv4: 5.1.66.255
#    IPv6: 2001:678:e68:f000::
#    Servername für DNS-over-TLS: dot.ffmuc.net
#    IPv4: 185.150.99.255
#    IPv6: 2001:678:ed0:f000::
#    Servername für DNS-over-TLS: dot.ffmuc.net
#    für iOS 14+: DoT-Server-Konfiguration (unsigniert, vom PrHdb)
resolved_nameserver:
  - 192.168.0.1

# search domains
#
# If there are more than one search domains, then specify them here in the order in which
# the resolver should also search them
#
#resolved_domains: []
resolved_domains:
  - ~.
  - ak.local

resolved_dnssec: false

# dns.as250.net: 194.150.168.168
#
resolved_fallback_nameserver:
   - 172.16.0.254


# ---
# vars used by roles/common/tasks/cron.yml
# ---

cron_user_special_time_entries:

  - name: "Restart DNS Cache service 'systemd-resolved'"
    special_time: reboot
    job: "sleep 10 ; /bin/systemctl restart systemd-resolved"
    insertafter: PATH



# ---
# vars used by roles/common/tasks/users.yml
# ---

default_user:

  - name: chris
    password: $6$bSHlaLHC$URSMVq090e/cJ1v55Jh9ws0w5WekhO7X3Y0RqryAl5R76K9khWBegC76Smjastja.xMiD57/LzUUXW7y9NvAL.
    shell: /bin/bash
    ssh_keys:
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIO90culn3sicU2chTHn40ytcTay0nUIHap0uF/5fVM6P chris@sol'
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIOQHMUKlDh2ufno5pZOhUY5xFljC1R5zQ/GjOHDkS58D root@sol'

  - name: sysadm
    user_id: 1050
    group_id: 1050
    group: sysadm
    password: $6$EEVWxA5E$bNxU8EOp/tTcYVghFharUM10k3vRt2siEnIiiznfGmhMSM6zJTP0umdxql9VVEj856oKa.Sp.q3N2nthgNMeN1
    shell: /bin/bash
    ssh_keys:
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIO90culn3sicU2chTHn40ytcTay0nUIHap0uF/5fVM6P chris@sol'
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIOQHMUKlDh2ufno5pZOhUY5xFljC1R5zQ/GjOHDkS58D root@sol'

  - name: localadmin
    user_id: 1051
    group_id: 1051
    group: localadmin
    password: $6$flo5afeu$1Dn/tqIOJIFQbymCzpJk9BgGflQdy2Eg0nTiMBF7VefN7uY/Md1pV2yU0S47kZuH5aDjSdPfKzhHp8Aul/xx90
    shell: /bin/bash
    ssh_keys:
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIO90culn3sicU2chTHn40ytcTay0nUIHap0uF/5fVM6P chris@sol'
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIOQHMUKlDh2ufno5pZOhUY5xFljC1R5zQ/GjOHDkS58D root@sol'

  - name: back
    user_id: 1060
    group_id: 1060
    group: back
    password: $6$GntX81EP$O1GEmQF.BbOQfTMMw/m/BDKSXmANVpqmz0nyzw4O4R2/iK9huGOAjT/2eq8FVdMghvNOvdwrWtwohO.Mg4V9n.
    shell: /bin/bash
    ssh_keys:
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIO90culn3sicU2chTHn40ytcTay0nUIHap0uF/5fVM6P chris@sol'
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIOQHMUKlDh2ufno5pZOhUY5xFljC1R5zQ/GjOHDkS58D root@sol'

sudo_users:
  - chris
  - sysadm


# ---
# vars used by roles/common/tasks/users-systemfiles.yml
# ---


# ---
# vars used by roles/common/tasks/webadmin-user.yml
# ---


# ---
# vars used by roles/common/tasks/sudoers.yml
# ---
#
# see: roles/common/tasks/vars


# ---
# vars used by roles/common/tasks/caching-nameserver.yml
# ---


# ---
# vars used by roles/common/tasks/git.yml
# ---


# ---
# vars used by roles/common/tasks/samba-config-server.yml
# vars used by roles/common/tasks/samba-user.yml
# ---

samba_server_ip: 192.168.0.110
samba_server_cidr_prefix: 24

samba_workgroup: AK

samba_netbios_name: AT-10

samba_server_min_protocol: !!str NT1

samba_groups:
  - name: alle
    group_id: 2100
  - name: produktion
    group_id: 2110
  - name: redakteure
    group_id: 2120
  - name: technik
    group_id: 2130


samba_user:

  - name: chris
    groups:
      - alle
      - produktion
      - redakteure
      - technik
    password: !vault |
          $ANSIBLE_VAULT;1.1;AES256
          30383265366434633965346530666535363761396165393434643665393137353765653739636364
          6330623334353763613065343336306434376335646666380a363030363335656261656236636562
          63663763616630383264303039336562626537366634303636356237323630666635356130383165
          3837613337343533650a663061366230353531316535656433643162353063383534323833323138
          3430

  - name: sysadm
    groups:
      - alle
      - produktion
      - redakteure
      - technik
    password: 'aS2ifv2.d-FI'

base_home: /data/home

samba_homes_virusfilter: true

# remove_samba_users:
#   - name: name1
#   - name: name2
#
remove_samba_users: []
#remove_samba_users:
#  - name: evren

samba_shares:

  - name: daten
    comment: Dateien für Anzeigen, Vertrieb, Verein etc.
    path: /data/samba/shares/daten
    group_valid_users: alle
    group_write_list: alle
    file_create_mask: !!str 664
    dir_create_mask: !!str 2775
    vfs_object_virusfilter: true
    vfs_object_recycle: true
    recycle_path: '@Recycle'

  - name: prod
    comment: Produktion ak und Fantômas
    path: /data/samba/shares/prod
    group_valid_users: produktion
    group_write_list: produktion
    file_create_mask: !!str 664
    dir_create_mask: !!str 2775
    vfs_object_recycle: true
    recycle_path: '@Recycle'

  - name: redakteure
    comment: Verzeichnis für Redakteure 
    path: /data/samba/shares/redakteure
    group_valid_users: redakteure
    group_write_list: redakteure
    file_create_mask: !!str 664
    dir_create_mask: !!str 2775
    vfs_object_virusfilter: true
    vfs_object_recycle: true
    recycle_path: '@Recycle'

  - name: technik
    comment: Verzeichnisse für Technik
    path: /data/samba/shares/technik
    group_valid_users: technik
    group_write_list: technik
    file_create_mask: !!str 664
    dir_create_mask: !!str 2775
    vfs_object_virusfilter: true
    vfs_object_recycle: true
    recycle_path: '@Recycle'

  - name: tmp
    comment: Temporary file space
    path: /data/samba/shares/tmp
    group_valid_users: alle
    group_write_list: alle
    file_create_mask: !!str 664
    dir_create_mask: !!str 2775
    vfs_object_virusfilter: true
    vfs_object_recycle: true
    recycle_path: '@Recycle'


# ==============================


# ---
# vars used by scripts/reset_root_passwd.yml
# ---

root_user:
  name: root
  password: $6$J1ssJfdshf/$mknQEPDcW4HN5.wFfawbamamywI7F7fhdZmaR1abNrc4DA7DNRx766lz3ygf9YV3gcmRq3QhJ3fBVlkwGMCvq.
